Skip to main content
GET
/
safety
/
events
/
{id}
/
camera-media
Get Event Camera Media
curl --request GET \
  --url https://api.withterminal.com/tsp/v1/safety/events/{id}/camera-media \
  --header 'Authorization: Bearer <token>' \
  --header 'Connection-Token: <connection-token>'
{
  "frontFacing": {
    "videoUrl": "https://example.com/video.mp4",
    "sourceId": "12345"
  },
  "rearFacing": {
    "videoUrl": "https://example.com/video.mp4",
    "sourceId": "12345"
  },
  "raw": []
}

Documentation Index

Fetch the complete documentation index at: https://docs.withterminal.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Connection-Token
string
required

The token returned when a user authenticated their account. This authorizes access to a specific account.

Pattern: ^con_tkn_\S+$
Example:

"con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4"

Path Parameters

id
string<ulid>
required

The id of the safety event.

Pattern: ^sft_evt_[0-9A-HJKMNP-TV-Z]{26}$
Example:

"sft_evt_01D8ZQFGHVJ858NBF2Q7DV9MNC"

Query Parameters

raw
boolean

Include raw responses used to normalize model. Used for debugging or accessing unique properties that are not unified.

Response

OK

frontFacing
Camera Media File · object

The front facing camera media.

rearFacing
Camera Media File · object

The rear facing camera media.

raw
RawData · object[]
Example:
[]